/////////////////////////////////////////////////////////////////////////
///@system ǰϵͳ
///@company CFFEX
///@file USTPFtdcUserApiStruct.h
///@brief ˿ͻ˽ӿʹõҵݽṹ
///@history 
/////////////////////////////////////////////////////////////////////////

#if !defined(_USTP_FTDCSTRUCT_H)
#define _USTP_FTDCSTRUCT_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "USTPFtdcUserApiDataType.h"

///ϵͳû¼
struct CUstpFtdcReqUserLoginField
{
	///
	TUstpFtdcDateType	TradingDay;
	///û
	TUstpFtdcUserIDType	UserID;
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///
	TUstpFtdcPasswordType	Password;
	///û˲ƷϢ
	TUstpFtdcProductInfoType	UserProductInfo;
	///ӿڶ˲ƷϢ
	TUstpFtdcProductInfoType	InterfaceProductInfo;
	///ЭϢ
	TUstpFtdcProtocolInfoType	ProtocolInfo;
	///IPַ
	TUstpFtdcIPAddressType	IPAddress;
	///Macַ
	TUstpFtdcMacAddressType	MacAddress;
	///Ĵ
	TUstpFtdcDataCenterIDType	DataCenterID;
};
///ϵͳû¼Ӧ
struct CUstpFtdcRspUserLoginField
{
	///
	TUstpFtdcDateType	TradingDay;
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///¼ɹʱ
	TUstpFtdcTimeType	LoginTime;
	///û󱾵ر
	TUstpFtdcUserOrderLocalIDType	MaxOrderLocalID;
	///ϵͳ
	TUstpFtdcTradingSystemNameType	TradingSystemName;
	///Ĵ
	TUstpFtdcDataCenterIDType	DataCenterID;
	///Ա˽ǰ
	TUstpFtdcSequenceNoType	PrivateFlowSize;
	///Ա˽ǰ
	TUstpFtdcSequenceNoType	UserFlowSize;
};
///ûǳ
struct CUstpFtdcReqUserLogoutField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
};
///ûǳ
struct CUstpFtdcRspUserLogoutField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
};
///ǿû˳
struct CUstpFtdcForceUserExitField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
};
///û޸
struct CUstpFtdcUserPasswordUpdateField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///
	TUstpFtdcPasswordType	OldPassword;
	///
	TUstpFtdcPasswordType	NewPassword;
};
///뱨
struct CUstpFtdcInputOrderField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///ϵͳ
	TUstpFtdcOrderSysIDType	OrderSysID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///ûر
	TUstpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///
	TUstpFtdcOrderPriceTypeType	OrderPriceType;
	///
	TUstpFtdcDirectionType	Direction;
	///ƽ־
	TUstpFtdcOffsetFlagType	OffsetFlag;
	///Ͷױ־
	TUstpFtdcHedgeFlagType	HedgeFlag;
	///۸
	TUstpFtdcPriceType	LimitPrice;
	///
	TUstpFtdcVolumeType	Volume;
	///Ч
	TUstpFtdcTimeConditionType	TimeCondition;
	///GTD
	TUstpFtdcDateType	GTDDate;
	///ɽ
	TUstpFtdcVolumeConditionType	VolumeCondition;
	///Сɽ
	TUstpFtdcVolumeType	MinVolume;
	///ֹ
	TUstpFtdcPriceType	StopPrice;
	///ǿƽԭ
	TUstpFtdcForceCloseReasonType	ForceCloseReason;
	///Զ־
	TUstpFtdcBoolType	IsAutoSuspend;
	///ҵԪ
	TUstpFtdcBusinessUnitType	BusinessUnit;
	///ûԶ
	TUstpFtdcCustomType	UserCustom;
};
///
struct CUstpFtdcOrderActionField
{
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///
	TUstpFtdcOrderSysIDType	OrderSysID;
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///û
	TUstpFtdcUserIDType	UserID;
	///ر
	TUstpFtdcUserOrderLocalIDType	UserOrderActionLocalID;
	///ر
	TUstpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///־
	TUstpFtdcActionFlagType	ActionFlag;
	///۸
	TUstpFtdcPriceType	LimitPrice;
	///仯
	TUstpFtdcVolumeType	VolumeChange;
};
///ڴ
struct CUstpFtdcMemDbField
{
	///ڴ
	TUstpFtdcMemTableNameType	MemTableName;
};
///ӦϢ
struct CUstpFtdcRspInfoField
{
	///
	TUstpFtdcErrorIDType	ErrorID;
	///Ϣ
	TUstpFtdcErrorMsgType	ErrorMsg;
};
///ѯ
struct CUstpFtdcQryOrderField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///
	TUstpFtdcOrderSysIDType	OrderSysID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
};
///ɽѯ
struct CUstpFtdcQryTradeField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///ɽ
	TUstpFtdcTradeIDType	TradeID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
};
///Լѯ
struct CUstpFtdcQryInstrumentField
{
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Ʒ
	TUstpFtdcProductIDType	ProductID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
};
///ԼѯӦ
struct CUstpFtdcRspInstrumentField
{
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Ʒִ
	TUstpFtdcProductIDType	ProductID;
	///Ʒ
	TUstpFtdcProductNameType	ProductName;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///Լ
	TUstpFtdcInstrumentNameType	InstrumentName;
	///
	TUstpFtdcYearType	DeliveryYear;
	///
	TUstpFtdcMonthType	DeliveryMonth;
	///޼۵µ
	TUstpFtdcVolumeType	MaxLimitOrderVolume;
	///޼۵Сµ
	TUstpFtdcVolumeType	MinLimitOrderVolume;
	///м۵µ
	TUstpFtdcVolumeType	MaxMarketOrderVolume;
	///м۵Сµ
	TUstpFtdcVolumeType	MinMarketOrderVolume;
	///
	TUstpFtdcVolumeMultipleType	VolumeMultiple;
	///۵λ
	TUstpFtdcPriceTickType	PriceTick;
	///
	TUstpFtdcCurrencyType	Currency;
	///ͷ޲
	TUstpFtdcVolumeType	LongPosLimit;
	///ͷ޲
	TUstpFtdcVolumeType	ShortPosLimit;
	///ͣ
	TUstpFtdcPriceType	LowerLimitPrice;
	///ͣ
	TUstpFtdcPriceType	UpperLimitPrice;
	///
	TUstpFtdcPriceType	PreSettlementPrice;
	///Լ״̬
	TUstpFtdcInstrumentStatusType	InstrumentStatus;
	///
	TUstpFtdcDateType	CreateDate;
	///
	TUstpFtdcDateType	OpenDate;
	///
	TUstpFtdcDateType	ExpireDate;
	///ʼ
	TUstpFtdcDateType	StartDelivDate;
	///󽻸
	TUstpFtdcDateType	EndDelivDate;
	///ƻ׼
	TUstpFtdcPriceType	BasisPrice;
	///ǰǷ
	TUstpFtdcBoolType	IsTrading;
	///Ʒ
	TUstpFtdcInstrumentIDType	UnderlyingInstrID;
	///Ʒ
	TUstpFtdcUnderlyingMultipleType	UnderlyingMultiple;
	///ֲ
	TUstpFtdcPositionTypeType	PositionType;
	///ִм
	TUstpFtdcPriceType	StrikePrice;
	///Ȩ
	TUstpFtdcOptionsTypeType	OptionsType;
};
///Լ״̬
struct CUstpFtdcInstrumentStatusField
{
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Ʒִ
	TUstpFtdcProductIDType	ProductID;
	///Ʒ
	TUstpFtdcProductNameType	ProductName;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///Լ
	TUstpFtdcInstrumentNameType	InstrumentName;
	///
	TUstpFtdcYearType	DeliveryYear;
	///
	TUstpFtdcMonthType	DeliveryMonth;
	///޼۵µ
	TUstpFtdcVolumeType	MaxLimitOrderVolume;
	///޼۵Сµ
	TUstpFtdcVolumeType	MinLimitOrderVolume;
	///м۵µ
	TUstpFtdcVolumeType	MaxMarketOrderVolume;
	///м۵Сµ
	TUstpFtdcVolumeType	MinMarketOrderVolume;
	///
	TUstpFtdcVolumeMultipleType	VolumeMultiple;
	///۵λ
	TUstpFtdcPriceTickType	PriceTick;
	///
	TUstpFtdcCurrencyType	Currency;
	///ͷ޲
	TUstpFtdcVolumeType	LongPosLimit;
	///ͷ޲
	TUstpFtdcVolumeType	ShortPosLimit;
	///ͣ
	TUstpFtdcPriceType	LowerLimitPrice;
	///ͣ
	TUstpFtdcPriceType	UpperLimitPrice;
	///
	TUstpFtdcPriceType	PreSettlementPrice;
	///Լ״̬
	TUstpFtdcInstrumentStatusType	InstrumentStatus;
	///
	TUstpFtdcDateType	CreateDate;
	///
	TUstpFtdcDateType	OpenDate;
	///
	TUstpFtdcDateType	ExpireDate;
	///ʼ
	TUstpFtdcDateType	StartDelivDate;
	///󽻸
	TUstpFtdcDateType	EndDelivDate;
	///ƻ׼
	TUstpFtdcPriceType	BasisPrice;
	///ǰǷ
	TUstpFtdcBoolType	IsTrading;
	///Ʒ
	TUstpFtdcInstrumentIDType	UnderlyingInstrID;
	///Ʒ
	TUstpFtdcUnderlyingMultipleType	UnderlyingMultiple;
	///ֲ
	TUstpFtdcPositionTypeType	PositionType;
	///ִм
	TUstpFtdcPriceType	StrikePrice;
	///Ȩ
	TUstpFtdcOptionsTypeType	OptionsType;
};
///Ͷʽѯ
struct CUstpFtdcQryInvestorAccountField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
};
///ͶʽӦ
struct CUstpFtdcRspInvestorAccountField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///ʽʺ
	TUstpFtdcAccountIDType	AccountID;
	///ϴν׼
	TUstpFtdcMoneyType	PreBalance;
	///
	TUstpFtdcMoneyType	Deposit;
	///
	TUstpFtdcMoneyType	Withdraw;
	///ı֤
	TUstpFtdcMoneyType	FrozenMargin;
	///
	TUstpFtdcMoneyType	FrozenFee;
	///Ȩ
	TUstpFtdcMoneyType	FrozenPremium;
	///
	TUstpFtdcMoneyType	Fee;
	///ƽӯ
	TUstpFtdcMoneyType	CloseProfit;
	///ֲӯ
	TUstpFtdcMoneyType	PositionProfit;
	///ʽ
	TUstpFtdcMoneyType	Available;
	///ͷı֤
	TUstpFtdcMoneyType	LongFrozenMargin;
	///ͷı֤
	TUstpFtdcMoneyType	ShortFrozenMargin;
	///ͷռñ֤
	TUstpFtdcMoneyType	LongMargin;
	///ͷռñ֤
	TUstpFtdcMoneyType	ShortMargin;
	///ͷű֤
	TUstpFtdcMoneyType	ReleaseMargin;
	///̬Ȩ
	TUstpFtdcMoneyType	DynamicRights;
	///ճ
	TUstpFtdcMoneyType	TodayInOut;
	///ռñ֤
	TUstpFtdcMoneyType	Margin;
	///ȨȨ֧
	TUstpFtdcMoneyType	Premium;
	///ն
	TUstpFtdcMoneyType	risk;
};
///Ͷ߲ѯ
struct CUstpFtdcQryUserInvestorField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
};
///Ͷ
struct CUstpFtdcRspUserInvestorField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
};
///ױѯ
struct CUstpFtdcQryTradingCodeField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
};
///ױѯ
struct CUstpFtdcRspTradingCodeField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///ͻ
	TUstpFtdcClientIDType	ClientID;
	///ͻȨ
	TUstpFtdcTradingRightType	ClientRight;
	///ǷԾ
	TUstpFtdcIsActiveType	IsActive;
};
///ѯ
struct CUstpFtdcQryExchangeField
{
	///
	TUstpFtdcExchangeIDType	ExchangeID;
};
///ѯӦ
struct CUstpFtdcRspExchangeField
{
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///
	TUstpFtdcExchangeNameType	ExchangeName;
};
///Ͷֲֲ߳ѯ
struct CUstpFtdcQryInvestorPositionField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
};
///Ͷֲֲ߳ѯӦ
struct CUstpFtdcRspInvestorPositionField
{
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///ͻ
	TUstpFtdcClientIDType	ClientID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///
	TUstpFtdcDirectionType	Direction;
	///Ͷױ־
	TUstpFtdcHedgeFlagType	HedgeFlag;
	///ռñ֤
	TUstpFtdcMoneyType	UsedMargin;
	///ֲ
	TUstpFtdcVolumeType	Position;
	///ճֲֳɱ
	TUstpFtdcPriceType	PositionCost;
	///ֲ
	TUstpFtdcVolumeType	YdPosition;
	///ճֲֳɱ
	TUstpFtdcMoneyType	YdPositionCost;
	///ı֤
	TUstpFtdcMoneyType	FrozenMargin;
	///ֲֶ
	TUstpFtdcVolumeType	FrozenPosition;
	///ƽֲֶ
	TUstpFtdcVolumeType	FrozenClosing;
	///Ȩ
	TUstpFtdcMoneyType	FrozenPremium;
	///һʳɽ
	TUstpFtdcTradeIDType	LastTradeID;
	///һʱر
	TUstpFtdcOrderLocalIDType	LastOrderLocalID;
	///
	TUstpFtdcCurrencyIDType	Currency;
};
///Ϲѯ
struct CUstpFtdcQryComplianceParamField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
};
///ϹѯӦ
struct CUstpFtdcRspComplianceParamField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///ͻ
	TUstpFtdcClientIDType	ClientID;
	///ÿ󱨵
	TUstpFtdcVolumeType	DailyMaxOrder;
	///ÿ󳷵
	TUstpFtdcVolumeType	DailyMaxOrderAction;
	///ÿ
	TUstpFtdcVolumeType	DailyMaxErrorOrder;
	///ÿ󱨵
	TUstpFtdcVolumeType	DailyMaxOrderVolume;
	///ÿ󳷵
	TUstpFtdcVolumeType	DailyMaxOrderActionVolume;
};
///ûѯ
struct CUstpFtdcQryUserField
{
	///û
	TUstpFtdcUserIDType	StartUserID;
	///û
	TUstpFtdcUserIDType	EndUserID;
};
///û
struct CUstpFtdcUserField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///û¼
	TUstpFtdcPasswordType	Password;
	///ǷԾ
	TUstpFtdcIsActiveType	IsActive;
	///û
	TUstpFtdcUserNameType	UserName;
	///û
	TUstpFtdcUserTypeType	UserType;
	///Ӫҵ
	TUstpFtdcDepartmentType	Department;
	///Ȩܼ
	TUstpFtdcGrantFuncSetType	GrantFuncSet;
	///޸û
	TUstpFtdcUserIDType	SetUserID;
	///
	TUstpFtdcDateType	CommandDate;
	///ʱ
	TUstpFtdcTimeType	CommandTime;
};
///Ͷʲѯ
struct CUstpFtdcQryInvestorFeeField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
};
///Ͷ
struct CUstpFtdcInvestorFeeField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///ͻ
	TUstpFtdcClientIDType	ClientID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///Ʒִ
	TUstpFtdcProductIDType	ProductID;
	///Ѱ
	TUstpFtdcRatioType	OpenFeeRate;
	///Ѱ
	TUstpFtdcRatioType	OpenFeeAmt;
	///ƽѰ
	TUstpFtdcRatioType	OffsetFeeRate;
	///ƽѰ
	TUstpFtdcRatioType	OffsetFeeAmt;
	///ƽѰ
	TUstpFtdcRatioType	OTFeeRate;
	///ƽѰ
	TUstpFtdcRatioType	OTFeeAmt;
};
///Ͷ֤߱ʲѯ
struct CUstpFtdcQryInvestorMarginField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
};
///Ͷ֤߱
struct CUstpFtdcInvestorMarginField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///ͻ
	TUstpFtdcClientIDType	ClientID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///Ʒִ
	TUstpFtdcProductIDType	ProductID;
	///ͷռñ֤𰴱
	TUstpFtdcRatioType	LongMarginRate;
	///ͷ֤
	TUstpFtdcRatioType	LongMarginAmt;
	///ͷռñ֤𰴱
	TUstpFtdcRatioType	ShortMarginRate;
	///ͷ֤
	TUstpFtdcRatioType	ShortMarginAmt;
};
///ɽ
struct CUstpFtdcTradeField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///
	TUstpFtdcTradingDayType	TradingDay;
	///Ա
	TUstpFtdcParticipantIDType	ParticipantID;
	///µϯλ
	TUstpFtdcSeatIDType	SeatID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///ͻ
	TUstpFtdcClientIDType	ClientID;
	///û
	TUstpFtdcUserIDType	UserID;
	///ɽ
	TUstpFtdcTradeIDType	TradeID;
	///
	TUstpFtdcOrderSysIDType	OrderSysID;
	///ر
	TUstpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///
	TUstpFtdcDirectionType	Direction;
	///ƽ־
	TUstpFtdcOffsetFlagType	OffsetFlag;
	///Ͷױ־
	TUstpFtdcHedgeFlagType	HedgeFlag;
	///ɽ۸
	TUstpFtdcPriceType	TradePrice;
	///ɽ
	TUstpFtdcVolumeType	TradeVolume;
	///ɽʱ
	TUstpFtdcTimeType	TradeTime;
	///Ա
	TUstpFtdcParticipantIDType	ClearingPartID;
};
///
struct CUstpFtdcOrderField
{
	///͹˾
	TUstpFtdcBrokerIDType	BrokerID;
	///
	TUstpFtdcExchangeIDType	ExchangeID;
	///ϵͳ
	TUstpFtdcOrderSysIDType	OrderSysID;
	///Ͷ߱
	TUstpFtdcInvestorIDType	InvestorID;
	///û
	TUstpFtdcUserIDType	UserID;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///ûر
	TUstpFtdcUserOrderLocalIDType	UserOrderLocalID;
	///
	TUstpFtdcOrderPriceTypeType	OrderPriceType;
	///
	TUstpFtdcDirectionType	Direction;
	///ƽ־
	TUstpFtdcOffsetFlagType	OffsetFlag;
	///Ͷױ־
	TUstpFtdcHedgeFlagType	HedgeFlag;
	///۸
	TUstpFtdcPriceType	LimitPrice;
	///
	TUstpFtdcVolumeType	Volume;
	///Ч
	TUstpFtdcTimeConditionType	TimeCondition;
	///GTD
	TUstpFtdcDateType	GTDDate;
	///ɽ
	TUstpFtdcVolumeConditionType	VolumeCondition;
	///Сɽ
	TUstpFtdcVolumeType	MinVolume;
	///ֹ
	TUstpFtdcPriceType	StopPrice;
	///ǿƽԭ
	TUstpFtdcForceCloseReasonType	ForceCloseReason;
	///Զ־
	TUstpFtdcBoolType	IsAutoSuspend;
	///ҵԪ
	TUstpFtdcBusinessUnitType	BusinessUnit;
	///ûԶ
	TUstpFtdcCustomType	UserCustom;
	///
	TUstpFtdcTradingDayType	TradingDay;
	///Ա
	TUstpFtdcParticipantIDType	ParticipantID;
	///ͻ
	TUstpFtdcClientIDType	ClientID;
	///µϯλ
	TUstpFtdcSeatIDType	SeatID;
	///ʱ
	TUstpFtdcTimeType	InsertTime;
	///ر
	TUstpFtdcOrderLocalIDType	OrderLocalID;
	///Դ
	TUstpFtdcOrderSourceType	OrderSource;
	///״̬
	TUstpFtdcOrderStatusType	OrderStatus;
	///ʱ
	TUstpFtdcTimeType	CancelTime;
	///û
	TUstpFtdcUserIDType	CancelUserID;
	///ɽ
	TUstpFtdcVolumeType	VolumeTraded;
	///ʣ
	TUstpFtdcVolumeType	VolumeRemain;
};
///
struct CUstpFtdcFlowMessageCancelField
{
	///ϵк
	TUstpFtdcSequenceSeriesType	SequenceSeries;
	///
	TUstpFtdcDateType	TradingDay;
	///Ĵ
	TUstpFtdcDataCenterIDType	DataCenterID;
	///ʼк
	TUstpFtdcSequenceNoType	StartSequenceNo;
	///˽к
	TUstpFtdcSequenceNoType	EndSequenceNo;
};
///Ϣַ
struct CUstpFtdcDisseminationField
{
	///ϵк
	TUstpFtdcSequenceSeriesType	SequenceSeries;
	///к
	TUstpFtdcSequenceNoType	SequenceNo;
};
///
struct CUstpFtdcMarketDataBaseField
{
	///
	TUstpFtdcDateType	TradingDay;
	///
	TUstpFtdcSettlementGroupIDType	SettlementGroupID;
	///
	TUstpFtdcSettlementIDType	SettlementID;
	///
	TUstpFtdcPriceType	PreSettlementPrice;
	///
	TUstpFtdcPriceType	PreClosePrice;
	///ֲ
	TUstpFtdcLargeVolumeType	PreOpenInterest;
	///ʵ
	TUstpFtdcRatioType	PreDelta;
};
///龲̬
struct CUstpFtdcMarketDataStaticField
{
	///
	TUstpFtdcPriceType	OpenPrice;
	///߼
	TUstpFtdcPriceType	HighestPrice;
	///ͼ
	TUstpFtdcPriceType	LowestPrice;
	///
	TUstpFtdcPriceType	ClosePrice;
	///ͣ
	TUstpFtdcPriceType	UpperLimitPrice;
	///ͣ
	TUstpFtdcPriceType	LowerLimitPrice;
	///
	TUstpFtdcPriceType	SettlementPrice;
	///ʵ
	TUstpFtdcRatioType	CurrDelta;
};
///³ɽ
struct CUstpFtdcMarketDataLastMatchField
{
	///¼
	TUstpFtdcPriceType	LastPrice;
	///
	TUstpFtdcVolumeType	Volume;
	///ɽ
	TUstpFtdcMoneyType	Turnover;
	///ֲ
	TUstpFtdcLargeVolumeType	OpenInterest;
};
///ż
struct CUstpFtdcMarketDataBestPriceField
{
	///һ
	TUstpFtdcPriceType	BidPrice1;
	///һ
	TUstpFtdcVolumeType	BidVolume1;
	///һ
	TUstpFtdcPriceType	AskPrice1;
	///һ
	TUstpFtdcVolumeType	AskVolume1;
};
///
struct CUstpFtdcMarketDataBid23Field
{
	///۶
	TUstpFtdcPriceType	BidPrice2;
	///
	TUstpFtdcVolumeType	BidVolume2;
	///
	TUstpFtdcPriceType	BidPrice3;
	///
	TUstpFtdcVolumeType	BidVolume3;
};
///
struct CUstpFtdcMarketDataAsk23Field
{
	///۶
	TUstpFtdcPriceType	AskPrice2;
	///
	TUstpFtdcVolumeType	AskVolume2;
	///
	TUstpFtdcPriceType	AskPrice3;
	///
	TUstpFtdcVolumeType	AskVolume3;
};
///ġ
struct CUstpFtdcMarketDataBid45Field
{
	///
	TUstpFtdcPriceType	BidPrice4;
	///
	TUstpFtdcVolumeType	BidVolume4;
	///
	TUstpFtdcPriceType	BidPrice5;
	///
	TUstpFtdcVolumeType	BidVolume5;
};
///ġ
struct CUstpFtdcMarketDataAsk45Field
{
	///
	TUstpFtdcPriceType	AskPrice4;
	///
	TUstpFtdcVolumeType	AskVolume4;
	///
	TUstpFtdcPriceType	AskPrice5;
	///
	TUstpFtdcVolumeType	AskVolume5;
};
///ʱ
struct CUstpFtdcMarketDataUpdateTimeField
{
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///޸ʱ
	TUstpFtdcTimeType	UpdateTime;
	///޸ĺ
	TUstpFtdcMillisecType	UpdateMillisec;
};
///
struct CUstpFtdcDepthMarketDataField
{
	///
	TUstpFtdcDateType	TradingDay;
	///
	TUstpFtdcSettlementGroupIDType	SettlementGroupID;
	///
	TUstpFtdcSettlementIDType	SettlementID;
	///
	TUstpFtdcPriceType	PreSettlementPrice;
	///
	TUstpFtdcPriceType	PreClosePrice;
	///ֲ
	TUstpFtdcLargeVolumeType	PreOpenInterest;
	///ʵ
	TUstpFtdcRatioType	PreDelta;
	///
	TUstpFtdcPriceType	OpenPrice;
	///߼
	TUstpFtdcPriceType	HighestPrice;
	///ͼ
	TUstpFtdcPriceType	LowestPrice;
	///
	TUstpFtdcPriceType	ClosePrice;
	///ͣ
	TUstpFtdcPriceType	UpperLimitPrice;
	///ͣ
	TUstpFtdcPriceType	LowerLimitPrice;
	///
	TUstpFtdcPriceType	SettlementPrice;
	///ʵ
	TUstpFtdcRatioType	CurrDelta;
	///¼
	TUstpFtdcPriceType	LastPrice;
	///
	TUstpFtdcVolumeType	Volume;
	///ɽ
	TUstpFtdcMoneyType	Turnover;
	///ֲ
	TUstpFtdcLargeVolumeType	OpenInterest;
	///һ
	TUstpFtdcPriceType	BidPrice1;
	///һ
	TUstpFtdcVolumeType	BidVolume1;
	///һ
	TUstpFtdcPriceType	AskPrice1;
	///һ
	TUstpFtdcVolumeType	AskVolume1;
	///۶
	TUstpFtdcPriceType	BidPrice2;
	///
	TUstpFtdcVolumeType	BidVolume2;
	///
	TUstpFtdcPriceType	BidPrice3;
	///
	TUstpFtdcVolumeType	BidVolume3;
	///۶
	TUstpFtdcPriceType	AskPrice2;
	///
	TUstpFtdcVolumeType	AskVolume2;
	///
	TUstpFtdcPriceType	AskPrice3;
	///
	TUstpFtdcVolumeType	AskVolume3;
	///
	TUstpFtdcPriceType	BidPrice4;
	///
	TUstpFtdcVolumeType	BidVolume4;
	///
	TUstpFtdcPriceType	BidPrice5;
	///
	TUstpFtdcVolumeType	BidVolume5;
	///
	TUstpFtdcPriceType	AskPrice4;
	///
	TUstpFtdcVolumeType	AskVolume4;
	///
	TUstpFtdcPriceType	AskPrice5;
	///
	TUstpFtdcVolumeType	AskVolume5;
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
	///޸ʱ
	TUstpFtdcTimeType	UpdateTime;
	///޸ĺ
	TUstpFtdcMillisecType	UpdateMillisec;
};
///ĺԼϢ
struct CUstpFtdcSpecificInstrumentField
{
	///Լ
	TUstpFtdcInstrumentIDType	InstrumentID;
};


#endif
