#ifndef __PROFILE_H
#define __PROFILE_H

#include <stdio.h>
#include <float.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#ifdef WINDOWS
#include <io.h>
#include <winsock.h>
#else
#include <unistd.h>
#include <sys/time.h>
#endif


///Sleep ʹõĲһ˵SleepΪ
#ifdef WINDOWS
#define SLEEP_SECONDS(seconds) Sleep((seconds)*1000)
#else
#define SLEEP_SECONDS(seconds) sleep(seconds)
#endif


char *mytrim(char *s);

class TIniFile
{
	//
    FILE *fin,*fout;
	//ָsectionƵַָ
	char *titlePos( char *buf, int *len );
	//Ƿһsectionַ
	bool isTitleLine( char *bufPtr );
	//Ƿָsection
	bool containTitle( char *buf, const char *section );
	//ƶļָ뵽Ӧsectionλ
	bool gotoSection(const char *section );
	//ָentryƵַָ
	char *textPos( char *buf, const char *entry );
	//ȥַǰĿո
	void stripQuotationChar( char *buf );
	//ȡһentryֵ
	int readEntry( const char *entry, char *buf, int bufSize, bool strip );
	//дһentry


public:
   // : TIniFile::ReadTString
   //   : Ķȡֶεַҹҿո'\t'
   //   : char * 
   //   : const char *section
   //   : const char *entry
   //   : const char *defaultString
   //   : char *buffer
   //   : int bufLen
   char * ReadTString(const char *section,const char *entry,const char *defaultString,char *buffer,int   bufLen);
   // : TIniFile::LRTrim
   //   : strнҿո'\t'ȡ
   //   : char * 
   //   : char *str
   static char * LRTrim(char *str);
	//ļ
	char FileName[128];
	//ļ
	bool Open(char *filename);
	//ȡһintentryֵ
	int ReadInt( const char *section, const char *entry, int defaultInt);
	//ȡһstring͵entryֵ
	int ReadString( const char *section, const char *entry,const char *defaultString, char *buffer,int bufLen);
	//дһstring͵entryָsection
	//дһint͵entryָsection
	//رļ
	void Close();

   TIniFile();
	~TIniFile();
private:
	char * FGetS(char *pbuf,int size,FILE *fp);
	void out_close();
	void in_close();
	char * percolate(char *str);
};
#endif
